By editing /etc/default/grub in a late command iff it exists.
This will affect ts-debian-{hvm,di}-install as well as
ts-host-install and hence affect guests as well as hosts.
The overall effect is that we will log more upon guest boot as well as
on the initial host boot.
Note that for hosts we also strip the "quiet" when updating grub as
part of ts-xen-install, this code remains (although it won't do so
much now).
Signed-off-by: Ian Campbell <ian.campbell@citrix.com>
Acked-by: Ian Jackson <ian.jackson@eu.citrix.com>
preseed_ssh($ho, $sfx);
+ preseed_hook_command($ho, 'late_command', '', <<'END');
+#!/bin/sh
+set -ex
+
+grub=/etc/default/grub
+if [ -f /target$grub ] ; then
+ in-target sed -i \
+ 's/^\(GRUB_CMDLINE_LINUX_DEFAULT=".*\)\bquiet\b\(.*"\)$/\1\2/g' \
+ $grub
+ in-target update-grub
+fi
+END
+
debian_overlays(sub {
my ($srcdir, $tfilename) = @_;
preseed_hook_overlay($ho, $sfx, $srcdir, $tfilename);